.course-content-wrap[data-v-0e86d422] {
    background: #f4f9ff;
}

.course-content-wrap .course-content-main[data-v-0e86d422] {
    letter-spacing: 1px;
}

.course-content-wrap .course-content-main .act-main[data-v-0e86d422] {
    width: 1280px;
    margin: 0 auto;
}

.course-content-wrap .course-content-main .part-title[data-v-0e86d422] {
    font-size: 12px;
    color: rgba(0, 0, 0, 0);
    pointer-events: none;
}

.course-content-wrap .course-content-main img.part-img[data-v-0e86d422] {
    margin: 120px auto 0;
    display: block;
    width: 1280px;
    height: auto;
}

.course-content-wrap .course-content-main .part-img-desc[data-v-0e86d422] {
    display: none !important;
}

.course-content-wrap .course-content-main .part-top img.part-img[data-v-0e86d422] {
    width: 792px;
    height: 58px;
}

.course-content-wrap .course-content-main .part01 img.part-img[data-v-0e86d422] {
    height: 489px;
}

.course-content-wrap .course-content-main .part02 img.part-img[data-v-0e86d422] {
    height: 523px;
}

.course-content-wrap .course-content-main .part03 img.part-img[data-v-0e86d422] {
    height: 719px;
}

.course-content-wrap .course-content-main .part04 img.part-img[data-v-0e86d422] {
    height: 364px;
}

.course-content-wrap .course-content-main .part05[data-v-0e86d422] {
    padding-bottom: 120px;
}

.course-content-wrap .course-content-main .part05 img.part-img[data-v-0e86d422] {
    height: 423px;
}

.course-content-wrap .course-content-main .part-end[data-v-0e86d422] {
    padding-top: 0px;
    padding-bottom: 120px;
    background: #fff;
}

.course-content-wrap .course-content-main .part-end .part-title[data-v-0e86d422] {
    letter-spacing: 2px;
}

.course-content-wrap .course-content-main .part-end .part-title.style1[data-v-0e86d422] {
    font-weight: bold;
    font-size: 44px;
    color: #222;
    line-height: 48px;
    padding: 77px 0 30px;
    vertical-align: middle;
    text-align: center;
}

.course-content-wrap .course-content-main .part-end .part-title.style1 .arrow-left[data-v-0e86d422],
.course-content-wrap .course-content-main .part-end .part-title.style1 .arrow-right[data-v-0e86d422] {
    position: relative;
    display: inline-block;
    height: 48px;
    width: 40px;
    vertical-align: middle;
    margin: 0 12px;
}

.course-content-wrap .course-content-main .part-end .part-title.style1 .arrow-left[data-v-0e86d422]:before,
.course-content-wrap .course-content-main .part-end .part-title.style1 .arrow-right[data-v-0e86d422]:before {
    display: block;
    content: "";
    width: 40px;
    height: 8px;
    background: linear-gradient(90deg, #ffffff 0%, #0084fd 100%);
    border-radius: 12px;
    margin-top: 8px;
}

.course-content-wrap .course-content-main .part-end .part-title.style1 .arrow-left[data-v-0e86d422]:after,
.course-content-wrap .course-content-main .part-end .part-title.style1 .arrow-right[data-v-0e86d422]:after {
    display: block;
    content: "";
    width: 24px;
    height: 8px;
    background: linear-gradient(90deg, #ffffff 0%, #0084fd 100%);
    border-radius: 12px;
    margin-top: 8px;
}

.course-content-wrap .course-content-main .part-end .part-title.style1 .arrow-left[data-v-0e86d422]:before,
.course-content-wrap .course-content-main .part-end .part-title.style1 .arrow-left[data-v-0e86d422]:after {
    transform: rotate(180deg);
    float: right;
}

.course-content-wrap .course-content-main .part-end .part-title .part-subtitle[data-v-0e86d422] {
    font-size: 18px;
    letter-spacing: 1px;
    text-align: center;
    line-height: 32px;
    font-weight: normal;
    padding-top: 8px;
}

.course-content-wrap .course-content-main .part-end .table-wrap[data-v-0e86d422] {
    border: 2px solid #7da8f8;
    margin-top: 0px;
    border-radius: 4px;
    overflow: hidden;
}

.course-content-wrap .course-content-main .part-end .part-table[data-v-0e86d422] {
    width: 1278px;
    color: #588cf3;
    color: #233b6f;
    background: #f4f8ff;
    overflow: hidden;
    margin: 0 auto 0;
    font-size: 22px;
    letter-spacing: 1px;
}

.course-content-wrap .course-content-main .part-end .part-table th[data-v-0e86d422] {
    background: #4983f2;
    line-height: 80px;
    padding: 0 24px;
    font-weight: normal;
    letter-spacing: 2px;
    cursor: default;
    color: #fff;
    border: 1px solid #82acf8;
    vertical-align: middle;
    text-align: center;
}

.course-content-wrap .course-content-main .part-end .part-table td[data-v-0e86d422] {
    border: 1px solid #82acf8;
    line-height: 36px;
    vertical-align: middle;
    text-align: center;
    padding: 5px 10px;
    letter-spacing: 1px;
}

.course-content-wrap .course-content-main .part-end .part-table td.t-title[data-v-0e86d422] {
    color: #2050ac;
    font-weight: bold;
}

.course-content-wrap .course-content-main .part-end .part-table tr td[data-v-0e86d422] {
    background: #d6f0ff;
}

.course-content-wrap .course-content-main .part-end .part-table tr td[data-v-0e86d422]:hover {
    background: #fff;
    cursor: default;
}

.course-content-wrap .course-content-main .part-end .part-table tr td.knowledge-points[data-v-0e86d422] {
    padding-top: 20px;
    padding-left: 20px;
    padding-bottom: 4px;
}

.course-content-wrap .course-content-main .part-end .part-table tr td .knowledge-point[data-v-0e86d422] {
    font-size: 18px;
    display: block;
    white-space: nowrap;
    word-break: keep-all;
    float: left;
    padding: 0 12px;
    background: #42a5f5;
    color: #fff;
    border-radius: 16px;
    margin-right: 12px;
    margin-bottom: 12px;
}

.course-content-wrap .course-content-main .part-end .part-table tr td .knowledge-point[data-v-0e86d422]:last-child {
    margin-right: 0;
}

.course-content-wrap .course-content-main .part-end .part-table tr td .knowledge-point[data-v-0e86d422]:hover {
    background: #ef9a9a;
}

.course-content-wrap .course-content-main .part-end .detail-btn[data-v-0e86d422] {
    color: #fff;
    font-weight: normal;
    letter-spacing: 2px;
    text-align: center;
    line-height: 48px;
    font-size: 22px;
    display: block;
    margin: 0 auto;
    width: 266px;
    border-radius: 24px;
    margin-top: 20px;
    cursor: pointer;
    background: linear-gradient(#fd3b46, #fd8146);
}

.course-content-wrap .course-content-main .part-end .detail-desc[data-v-0e86d422] {
    font-size: 16px;
    line-height: 42px;
    text-align: center;
    font-weight: bold;
    cursor: default;
}

.course-content-wrap .course-content-main .part-end .detail-desc[data-v-0e86d422]:before,
.course-content-wrap .course-content-main .part-end .detail-desc[data-v-0e86d422]:after {
    content: "**";
    color: red;
    padding: 0 2px;
}